> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get a shipment of transponders



## OpenAPI

````yaml get /v2/transponders/shipments/{id}/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/transponders/shipments/{id}/:
    get:
      tags:
        - Transponder Shipments
      operationId: v2_transponders_shipments_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReadShipment'
          description: ''
components:
  schemas:
    ReadShipment:
      type: object
      description: Read model serializer for shipments
      properties:
        id:
          type: integer
          readOnly: true
        fleet:
          $ref: '#/components/schemas/FlatFleet'
        transponders:
          type: array
          items:
            $ref: '#/components/schemas/FlatTransponder'
        received_by:
          $ref: '#/components/schemas/User'
        shipped_by:
          $ref: '#/components/schemas/User'
        status:
          $ref: '#/components/schemas/ReadShipmentStatusEnum'
        shipped_at:
          type: string
          format: date-time
          nullable: true
        received_at:
          type: string
          format: date-time
          nullable: true
        direction:
          $ref: '#/components/schemas/DirectionEnum'
        remarks:
          type: string
          nullable: true
        courier:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/CourierEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        tracking_code:
          type: string
          nullable: true
          maxLength: 128
      required:
        - direction
        - fleet
        - id
        - received_by
        - shipped_by
        - transponders
    FlatFleet:
      type: object
      description: Fleet model serializer without nested relations
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          maxLength: 255
        is_active:
          type: boolean
      required:
        - id
    FlatTransponder:
      type: object
      description: Transponder model serializer without nested relations
      properties:
        id:
          type: integer
          readOnly: true
        number:
          type: string
          maxLength: 64
        status:
          $ref: '#/components/schemas/StatusBf2Enum'
        fleet:
          type: integer
          nullable: true
        vehicle:
          type: integer
          nullable: true
        vehicle_type:
          type: integer
        agencies:
          type: array
          items:
            type: integer
      required:
        - agencies
        - id
        - number
        - vehicle_type
    User:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        username:
          type: string
          description: >-
            Required. 150 characters or fewer. Letters, digits and @/./+/-/_
            only.
          pattern: ^[\w.@+-]+$
          maxLength: 150
        email:
          type: string
          format: email
          title: Email address
          maxLength: 254
      required:
        - id
        - username
    ReadShipmentStatusEnum:
      enum:
        - PENDING
        - SHIPPED
        - RECEIVED
        - CANCELLED
      type: string
      description: |-
        * `PENDING` - Pending
        * `SHIPPED` - Shipped
        * `RECEIVED` - Received
        * `CANCELLED` - Cancelled
    DirectionEnum:
      enum:
        - IN
        - OUT
      type: string
      description: |-
        * `IN` - Incoming
        * `OUT` - Outgoing
    CourierEnum:
      enum:
        - DHL
        - FedEx
        - UPS
        - USPS
        - OTHER
      type: string
      description: |-
        * `DHL` - DHL
        * `FedEx` - FedEx
        * `UPS` - UPS
        * `USPS` - USPS
        * `OTHER` - Other
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    StatusBf2Enum:
      enum:
        - IN_STOCK
        - IN_SHIPMENT
        - PENDING_VEHICLE
        - ACTIVE
        - REQUESTED_REMOVAL
        - RETURN_IN_PROGRESS
        - RETURNED
        - RETURNED_TO_TOLL_AUTH
        - LOST_OR_STOLEN
        - LOST_DEACTIVATED
      type: string
      description: |-
        * `IN_STOCK` - In stock
        * `IN_SHIPMENT` - Shipment in progress
        * `PENDING_VEHICLE` - Pending vehicle
        * `ACTIVE` - Active
        * `REQUESTED_REMOVAL` - Requested removal
        * `RETURN_IN_PROGRESS` - Return in progress
        * `RETURNED` - Returned to FleetIT
        * `RETURNED_TO_TOLL_AUTH` - Returned to toll authority
        * `LOST_OR_STOLEN` - Lost/Stolen
        * `LOST_DEACTIVATED` - Lost-deactivated
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````